Subject: Re: bug#21273: [PATCH] grep: avoid use of uninitialized variable

From: Jim Meyering <[email-masked]>
Date: Wed, 19 Aug 2015 17:00:41 -0700

On Sat, Aug 15, 2015 at 7:17 PM, Norihiro Tanaka <[email-masked]> wrote:
> Uninitialized value of variable BACKREF is referred in EGexecute.  It
> does not cause wrong result, but regex may be used even when it is not
> needed.  It may lead grep to slowdown.
>
> By the way, gawk initializes the variable already, so it does not have
> to be fixed.

Thank you for that fix. I have determined that the problem was
introduced since the latest release, so this does not require a
NEWS entry, then added that info and a paraphrasing of your
comment above to the commit log. Pushed here:

  http://git.savannah.gnu.org/cgit/grep.git/commit/?id=8a33cdeba4ba0